Loading...
Searching...
No Matches
janus_text2pcap Struct Reference

Instance of a text2pcap recorder. More...

`#include <text2pcap.h>`

## Data Fields

char * | filename
| Absolute path to where the text2pcap file is stored.
FILE * | file
| Pointer to the file handle.
int | truncate
| Number of bytes to truncate at.
gboolean | text
| Whether we'll save as text, or directly to pcap.
volatile int | writable
| Whether we can write to this file or not.
janus_mutex | mutex
| Mutex to lock/unlock this recorder instance.

## Detailed Description

Instance of a text2pcap recorder.

## Field Documentation

## file

FILE* janus_text2pcap::file

Pointer to the file handle.

## filename

char* janus_text2pcap::filename

Absolute path to where the text2pcap file is stored.

## mutex

janus_mutex janus_text2pcap::mutex

Mutex to lock/unlock this recorder instance.

## text

gboolean janus_text2pcap::text

Whether we'll save as text, or directly to pcap.

## truncate

int janus_text2pcap::truncate

Number of bytes to truncate at.

## writable

volatile int janus_text2pcap::writable

Whether we can write to this file or not.

The documentation for this struct was generated from the following file:

- text2pcap.h